#if !defined(AFX_EDITBATCH_H__A2C66456_A937_4488_8582_E385894BC5BD__INCLUDED_)
#define AFX_EDITBATCH_H__A2C66456_A937_4488_8582_E385894BC5BD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditBatch.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CEditBatch dialog

class CEditBatch : public CDialog
{
// Construction
public:
	CEditBatch(Page *,CWnd* pParent = NULL);   // standard constructor
	Page *m_pPage;

// Dialog Data
	//{{AFX_DATA(CEditBatch)
	enum { IDD = IDD_EDIT_BATCHPAGE };
	CEdit	m_MegaNames;
	CEdit	m_Hint;
	CButton	m_checkFade;
	CButton	m_checkCage;
	CEdit	m_Cage;
	CButton	m_checkAnim;
	CButton	m_checkOBB;
	CEdit	m_Obb;
	CEdit	m_Skel;
	CEdit	m_Anim;
	CEdit	m_Path;
	CListBox	m_listclass;
	CButton	m_checkAlignX;
	CButton	m_checkAlignY;
	CComboBox m_comboStartLOD;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditBatch)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEditBatch)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnButtonLod0();
	afx_msg void OnButtonLod1();
	afx_msg void OnButtonLod2();
	afx_msg void OnButtonLod4();
	afx_msg void OnButtonLod5();
	afx_msg void OnButtonLoddam0();
	afx_msg void OnButtonLoddam1();
	afx_msg void OnButtonLoddam2();
	afx_msg void OnButtonLoddam3();
	afx_msg void OnButtonLoddam4();
	afx_msg void OnButtonLoddam5();
	afx_msg void OnButtonLod3();
	afx_msg void OnCheckAnim();
	afx_msg void OnCheckObb();
	afx_msg void OnBrowsePath();
	afx_msg void OnBrowseSkel();
	afx_msg void OnBrowseAnim();
	afx_msg void OnBrowseObb();
	afx_msg void OnBrowseCage();
	afx_msg void OnCheckCage();
	afx_msg void OnRadioChar();
	afx_msg void OnRadioShape();
	afx_msg void OnCheckCrossfade();
	afx_msg void OnBrowseHint();
	afx_msg void OnSelectMeganames();
	afx_msg void OnSelectStartLOD();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITBATCH_H__A2C66456_A937_4488_8582_E385894BC5BD__INCLUDED_)
